{% extends 'base.html' %}
{% block title %} Detail Invoice{% endblock %}
{% block css-invoice %}
    <link href="../../static/css/style_invoice.css" rel="stylesheet">
{% endblock %}
{% block content %}

    <div class="container bootstrap snippets bootdeys">
        <div class="row">
            <div class="col-sm-12">
                <div class="panel panel-default invoice" id="invoice">
                    <div class="panel-body">
                        <div class="row">
                            <div class="col-sm-6 top-left">
                                <i class="fas fa-door-open"></i>
                            </div>

                            <div class="col-sm-6 top-right mt-1">
                                <h3 class="marginright">INVOICE-{{ obj.id }}</h3>
                                <span class="marginright">{{ obj.date }}</span>
                            </div>
                        </div>
                        <p>Di Florencia</p>
                        <hr>
                        <div class="d-flex justify-content-between">
                            <!-- Detail Restaurant - Client - Invoice -->
                            <div class="col-xs-4 from">
                                <p class="lead marginbottom ">From : Di Florencia</p>
                                <p>350 Rhode Island Street</p>
                                <p>Suite 240, San Francisco</p>
                                <p>California, 94103</p>
                                <p>Phone: 415-767-3600</p>
                                <p>Email: contact@dynofy.com</p>
                            </div>

                            <div class="col-xs-4 to">
                                <p class="lead ">To : {{ obj.id_client.name }}</p>
                                <p>425 Market Street</p>
                                <p>Suite 2200, San Francisco</p>
                                <p>California, 94105</p>
                                <p>Phone: 415-676-3600</p>
                                <p>Email: john@doe.com</p>
                            </div>

                            <div class="col-xs-4 text-right payment-details">
                                <p class="lead marginbottom payment-info">Invoice details</p>
                                <p>Date: {{ obj.date }}</p>
                                <p>Table: {{ obj.id_table.code }}</p>
                                <p>Waiter: {{ obj.id_waiter.name}} {{ obj.id_waiter.last_name1 }}</p>
                                <p>Total Amount: $1019</p>
                            </div>
                        </div>
                        <!-- ----------------- Detail Invoice ------------------- -->
                        <div class="row table-row">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th class="text-center" style="width:5%">Item</th>
                                    <th style="width:50%">Product</th>
                                    <th class="text-right" style="width:15%">Quantity</th>
                                    <th class="text-right" style="width:15%">Unit Price</th>
                                    <th class="text-right" style="width:15%">Total Price</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for order in obj.orders.reverse %}
                                <tr>
                                    <td class="text-center">{{ fooloop.counter }}</td>
                                    <td>{{ order.id_products.name }}</td>
                                    <td class="text-right">{{ order.quantity }}</td>
                                    <td class="text-right">{{ order.id_products.price }}</td>
                                    <td class="text-right">{{ order.sub_price }}</td>
                                </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>

                        <div class="d-flex justify-content-around">
                            <div class="col-xs-6 margintop">
                                <p class="lead marginbottom">THANK YOU!</p>
                                <button onclick="window.print()" class="btn btn-secondary" id="invoice-print"><i class="fa fa-print"></i> Print
                                    Invoice
                                </button>
                                <button class="btn btn-success"><i class="fa fa-envelope-o"></i> Mail Invoice</button>
                            </div>
                            <div class="col-xs-6 text-right pull-right invoice-total">
                                <p>Subtotal : $1019</p>
                                <p>Discount (10%) : $101 </p>
                                <p>VAT (8%) : $73 </p>
                                <p>Total: {{ order.total_invoice }} </p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

<!--
<body>
     <input type = "button" value = "Imprimir esta página" οnclick = "printpage ()" />

  startprint
     <div id = "printContent"> Imprimir contenido </div>
  endprint

  <script>
    function printpage() {
             let oldStr = window.document.body.innerHTML; // Obtener el contenido del cuerpo
             let start = "<! - startprint ->"; // Iniciar la impresión del logotipo, 17 caracteres
             let end = "<! - endprint ->"; // fin de imprimir logo
             let newStr = oldStr.substr (oldStr.indexOf (start) + 17); // interceptar el contenido después de comenzar a imprimir el logotipo
             newStr = newStr.substring (0, newStr.indexOf (end)); // Interceptar el contenido entre la marca de inicio de impresión y la marca de finalización de impresión
             window.document.body.innerHTML = newStr; // Asignar el contenido especificado que debe imprimirse en el cuerpo
             window.print (); // Llame a la función de impresión del navegador para imprimir el área especificada
             window.document.body.innerHTML = oldStr; // reemplaza el cuerpo con el contenido original
    }
  </script>
</body>
-->